Package org.lwjgl.opengl

# Class NVXGpuMemoryInfo

java.lang.Object
org.lwjgl.opengl.NVXGpuMemoryInfo

public final class NVXGpuMemoryInfo extends Object
Experimental extension, may be removed/changed in the future.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_GPU_MEMORY_INFO_CURRENT_AVAILABLE_VIDMEM_NVX`
Accepted by the <pname> parameter of GetIntegerv:
`static final int`
`GL_GPU_MEMORY_INFO_DEDICATED_VIDMEM_NVX`
Accepted by the <pname> parameter of GetIntegerv:
`static final int`
`GL_GPU_MEMORY_INFO_EVICTED_MEMORY_NVX`
Accepted by the <pname> parameter of GetIntegerv:
`static final int`
`GL_GPU_MEMORY_INFO_EVICTION_COUNT_NVX`
Accepted by the <pname> parameter of GetIntegerv:
`static final int`
`GL_GPU_MEMORY_INFO_TOTAL_AVAILABLE_MEMORY_NVX`
Accepted by the <pname> parameter of GetIntegerv:

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_GPU_MEMORY_INFO_DEDICATED_VIDMEM_NVX

public static final int GL_GPU_MEMORY_INFO_DEDICATED_VIDMEM_NVX
Accepted by the <pname> parameter of GetIntegerv:

See Also:
  - Constant Field Values

### GL_GPU_MEMORY_INFO_TOTAL_AVAILABLE_MEMORY_NVX

public static final int GL_GPU_MEMORY_INFO_TOTAL_AVAILABLE_MEMORY_NVX
Accepted by the <pname> parameter of GetIntegerv:

See Also:
  - Constant Field Values

### GL_GPU_MEMORY_INFO_CURRENT_AVAILABLE_VIDMEM_NVX

public static final int GL_GPU_MEMORY_INFO_CURRENT_AVAILABLE_VIDMEM_NVX
Accepted by the <pname> parameter of GetIntegerv:

See Also:
  - Constant Field Values

### GL_GPU_MEMORY_INFO_EVICTION_COUNT_NVX

public static final int GL_GPU_MEMORY_INFO_EVICTION_COUNT_NVX
Accepted by the <pname> parameter of GetIntegerv:

See Also:
  - Constant Field Values

### GL_GPU_MEMORY_INFO_EVICTED_MEMORY_NVX

public static final int GL_GPU_MEMORY_INFO_EVICTED_MEMORY_NVX
Accepted by the <pname> parameter of GetIntegerv:

See Also:
  - Constant Field Values